# GLUtessellatorImpl (LWJGL API)
Date: 2015-07-28

## org.lwjgl.util.glu.tessellation
Class GLUtessellatorImpl

    java.lang.Object
      org.lwjgl.util.glu.tessellation.GLUtessellatorImpl

All Implemented Interfaces:
  GLUtessellator

    public class GLUtessellatorImpl

extends java.lang.Object
implements GLUtessellator

Field Summary
`static int` `TESS_MAX_CACHE`

Constructor Summary
`GLUtessellatorImpl()`

Method Summary
`void` `gluBeginPolygon()`
`void` `gluDeleteTess()`
`void` `gluEndPolygon()`
`void` `gluGetTessProperty(int which, double[] value, int value_offset)`
`static GLUtessellator` `gluNewTess()`
`void` `gluNextContour(int type)`
`void` `gluTessBeginContour()`
`void` `gluTessBeginPolygon(java.lang.Object data)`
`void` `gluTessCallback(int which, GLUtessellatorCallback aCallback)`
`void` `gluTessEndContour()`
`void` `gluTessEndPolygon()`
`void` `gluTessNormal(double x, double y, double z)`
`void` `gluTessProperty(int which, double value)`
`void` `gluTessVertex(double[] coords, int coords_offset, java.lang.Object vertexData)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TESS_MAX_CACHE

    public static final int TESS_MAX_CACHE

See Also:
  Constant Field Values

Constructor Detail

### GLUtessellatorImpl

    public GLUtessellatorImpl()

Method Detail

### gluNewTess

    public static GLUtessellator gluNewTess()

### gluDeleteTess

    public void gluDeleteTess()

  Specified by:
    `gluDeleteTess` in interface `GLUtessellator`

### gluTessProperty

    public void gluTessProperty(int which,
                                double value)

  Specified by:
    `gluTessProperty` in interface `GLUtessellator`

### gluGetTessProperty

    public void gluGetTessProperty(int which,
                                   double[] value,
                                   int value_offset)

  Specified by:
    `gluGetTessProperty` in interface `GLUtessellator`

### gluTessNormal

    public void gluTessNormal(double x,
                              double y,
                              double z)

  Specified by:
    `gluTessNormal` in interface `GLUtessellator`

### gluTessCallback

    public void gluTessCallback(int which,
                                GLUtessellatorCallback aCallback)

  Specified by:
    `gluTessCallback` in interface `GLUtessellator`

### gluTessVertex

    public void gluTessVertex(double[] coords,
                              int coords_offset,
                              java.lang.Object vertexData)

  Specified by:
    `gluTessVertex` in interface `GLUtessellator`

### gluTessBeginPolygon

    public void gluTessBeginPolygon(java.lang.Object data)

  Specified by:
    `gluTessBeginPolygon` in interface `GLUtessellator`

### gluTessBeginContour

    public void gluTessBeginContour()

  Specified by:
    `gluTessBeginContour` in interface `GLUtessellator`

### gluTessEndContour

    public void gluTessEndContour()

  Specified by:
    `gluTessEndContour` in interface `GLUtessellator`

### gluTessEndPolygon

    public void gluTessEndPolygon()

  Specified by:
    `gluTessEndPolygon` in interface `GLUtessellator`

### gluBeginPolygon

    public void gluBeginPolygon()

  Specified by:
    `gluBeginPolygon` in interface `GLUtessellator`

### gluNextContour

    public void gluNextContour(int type)

  Specified by:
    `gluNextContour` in interface `GLUtessellator`

### gluEndPolygon

    public void gluEndPolygon()

  Specified by:
    `gluEndPolygon` in interface `GLUtessellator`

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.